Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 212146 - [RFE] kickstart fallback when file/device not available
Summary: [RFE] kickstart fallback when file/device not available
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-25 11:12 UTC by Niels de Vos
Modified: 2008-06-16 11:01 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-13 18:55:27 UTC


Attachments (Terms of Use)
Kickstart fallback implementation (deleted)
2006-10-25 11:12 UTC, Niels de Vos
no flags Details | Diff
mount retry and timeout for usb devices (ks=hd:* and ks=bd:*) (deleted)
2006-10-25 15:51 UTC, Niels de Vos
no flags Details | Diff
Kickstart fallback implementation (deleted)
2006-11-21 17:49 UTC, Niels de Vos
no flags Details | Diff

Description Niels de Vos 2006-10-25 11:12:36 UTC
This patch for anaconda-10.2.1.5 (Fedora Core 4) makes it possible to provide
several kickstart files as parameter. For me this solves the described problem
below. I hope this functionality can be included in some next release of anaconda.

Thanks in advance for any comments,
Niels de Vos


Description of problem:
The integrated kudzu in anaconda does not recognize my USB-CDROM as cdrom.
Therefore it is not possible to use ks=cdrom as parameter on my custom prepared
boot-CD for unattended installations. However some systems do have an IDE-CDROM
which is detected correctly. To provide one CD with support for both devices,
the attached patch is used.

Giving the boot parameter "ks=cdrom,bd:scd0:/ks.cfg" is first trying the cdrom
device, after a timeout (24 x 5 secs) the next ks-parameter is tried.

The advantage of this is that there is no need to update the integrated kudzu
for every new device. Even USB-sticks are supported this way. An extra timout
(again 24 x 5 secs) is used for waiting for the requested ks-device.


Version-Release number of selected component (if applicable):
10.2.1.5 (Fedora Core 4)

How reproducible:
USB-CDROM not recognised: Teac CD-210PU

Comment 1 Niels de Vos 2006-10-25 11:12:36 UTC
Created attachment 139334 [details]
Kickstart fallback implementation

Comment 2 Niels de Vos 2006-10-25 15:51:39 UTC
Created attachment 139362 [details]
mount retry and timeout for usb devices (ks=hd:* and ks=bd:*)

Comment 3 Niels de Vos 2006-11-21 17:49:52 UTC
Created attachment 141800 [details]
Kickstart fallback implementation

Fixes an error when using IDE-CDROM as kickstart-source without explicit
filename (i.e. ks=cdrom,hd:sda1:/ks.cfg)

Comment 4 Jon Stanley 2008-04-23 20:29:04 UTC
Adding FutureFeature keyword to RFE's.

Comment 5 Chris Lumens 2008-06-13 18:55:27 UTC
Thanks for the patch.  However, this isn't really something we are interested in
adding at this time.  If you provide an invalid kickstart URL, the loader will
stop and prompt you to modify your provided location and will then use that to
retry.

Comment 6 Niels de Vos 2008-06-16 11:01:53 UTC
(In reply to comment #5)
> Thanks for the patch.  However, this isn't really something we are interested in
> adding at this time.  If you provide an invalid kickstart URL, the loader will
> stop and prompt you to modify your provided location and will then use that to
> retry.

Hello Chris, thanks for your comments. However I'm looking for a solution which
is able to install from a USB-Stick, on an other USB-drive. I was unable to do
100% automated installations over kickstart without this patch. Providing an
other URL in the loader is not a real option as it breaks on headless and/or
keyboardless systems.


Note You need to log in before you can comment on or make changes to this bug.